Subject: Re: [Dots] [boucadair/draft-ietf-dots-data-channel] /aliases?content=config includes pending-lifetime (which is config false) in the response (#3)

From: <[email-masked]>
Date: Mon, 16 Jul 2018 19:29:06 +0000

Good catch.

Changed to « content=all » just like what we have for the filters.

Cheers,
Med

De : mrdeep1 [mailto:[email-masked]]
Envoyé : samedi 14 juillet 2018 12:57
À : boucadair/draft-ietf-dots-data-channel
Cc : Subscribed
Objet : [boucadair/draft-ietf-dots-data-channel] /aliases?content=config includes pending-lifetime (which is config false) in the response (#3)

Strictly speaking, content=config should only return the configuration, not any dynamic component generated by the server as it is defined (correctly from the client's perspective) 'config false'. So something (content=all, or drop pending-lifetime) in

6.2.  Retrieve Installed Aliases

   GET request is used to retrieve one or all installed aliases by a

   DOTS client from a DOTS server (Section 3.3.1 in [RFC8040]).  If no

   'name' is included in the request, this is an indication that the

   request is about retrieving all aliases instantiated by the DOTS

   client.

   Figure 18 shows an example to retrieve all the aliases that were

   instantiated by the requesting DOTS client.  The 'content' parameter

   and its permitted values are defined in Section 4.8.1 of [RFC8040].

     GET /restconf/data/ietf-dots-data-channel:dots-data\

         /dots-client=dz6pHjaADkaFTbjr0JGBpw\

         /aliases?content=config HTTP/1.1

     Host: {host}:{port}

     Accept: application/yang-data+json

             Figure 18: GET to Retrieve All Installed Aliases

   Figure 19 shows an example of the response message body that includes

   all the aliases that are maintained by the DOTS server for the DOTS

   client identified by the 'cuid' parameter.

    {

     "ietf-dots-data-channel:aliases": {

       "alias": [

         {

           "name": "Server1",

           "target-protocol": [

             6

           ],

           "target-prefix": [

             "2001:db8:6401::1/128",

             "2001:db8:6401::2/128"

           ],

           "target-port-range": [

             {

               "lower-port": 443

             }

           ],

           "pending-lifetime": 3596

         },

         {

           "name": "Server2",

           "target-protocol": [

             6

           ],

           "target-prefix": [

             "2001:db8:6401::10/128",

             "2001:db8:6401::20/128"

           ],

           "target-port-range": [

             {

               "lower-port": 80

             }

           ],

           "pending-lifetime": 9869

         }

       ]

     }

   }

                  Figure 19: An Example of Response Body

—
You are receiving this because you are subscribed to this thread.
Reply to this email directly, view it on GitHub<https://github.com/boucadair/draft-ietf-dots-data-channel/issues/3>, or mute the thread<https://github.com/notifications/unsubscribe-auth/AO8fV_3ZZ5HPDhVkv-hc0aNKYJ2uIHFfks5uGiLlgaJpZM4VP7Al>.